# SPECTrecon
SPECT image reconstruction tools in Julia

https://github.com/JeffFessler/SPECTrecon.jl

[![action status][action-img]][action-url]
[![pkgeval status][pkgeval-img]][pkgeval-url]
[![codecov][codecov-img]][codecov-url]
[![license][license-img]][license-url]
[![docs-stable][docs-stable-img]][docs-stable-url]
[![docs-dev][docs-dev-img]][docs-dev-url]
[![code-style][code-blue-img]][code-blue-url]
[![ColPrac: Contributor's Guide][colprac-img]][colprac-url]

This repo provides forward and back-projection methods
for SPECT image reconstruction.

Designed for use with the
[Michigan Image Reconstruction Toolbox (MIRT)](https://github.com/JeffFessler/MIRT.jl)
or similar frameworks.

Tested with Julia ≥ 1.6.

<!-- URLs -->
[action-img]: https://github.com/JeffFessler/SPECTrecon.jl/workflows/CI/badge.svg
[action-url]: https://github.com/JeffFessler/SPECTrecon.jl/actions
[build-img]: https://github.com/JeffFessler/SPECTrecon.jl/workflows/CI/badge.svg?branch=main
[build-url]: https://github.com/JeffFessler/SPECTrecon.jl/actions?query=workflow%3ACI+branch%3Amain
[pkgeval-img]: https://juliaci.github.io/NanosoldierReports/pkgeval_badges/S/SPECTrecon.svg
[pkgeval-url]: https://juliaci.github.io/NanosoldierReports/pkgeval_badges/S/SPECTrecon.html
[code-blue-img]: https://img.shields.io/badge/code%20style-blue-4495d1.svg
[code-blue-url]: https://github.com/invenia/BlueStyle
[codecov-img]: https://codecov.io/github/JeffFessler/SPECTrecon.jl/coverage.svg?branch=main
[codecov-url]: https://codecov.io/github/JeffFessler/SPECTrecon.jl?branch=main
[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://JeffFessler.github.io/SPECTrecon.jl/stable
[docs-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]: https://JeffFessler.github.io/SPECTrecon.jl/dev
[license-img]: http://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat
[license-url]: LICENSE
[colprac-img]: https://img.shields.io/badge/ColPrac-Contributor's%20Guide-blueviolet
[colprac-url]: https://github.com/SciML/ColPrac
